org.apache.maven.shared.artifact.filter.collection

## Class AbstractArtifactsFilter

- java.lang.Object
- - org.apache.maven.shared.artifact.filter.collection.AbstractArtifactsFilter

All Implemented Interfaces:
  ArtifactsFilter

Direct Known Subclasses:
  AbstractArtifactFeatureFilter, ArtifactTransitivityFilter, ProjectTransitivityFilter, ScopeFilter

    public abstract class AbstractArtifactsFilter
    extends Object
    implements ArtifactsFilter

Version:
  $Id: AbstractArtifactsFilter.java 1716978 2015-11-28 14:47:04Z khmarbaise $
Author:
  Brian Fox

### Constructor Summary

Constructors
Constructor and Description
`AbstractArtifactsFilter()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `isArtifactIncluded(org.apache.maven.artifact.Artifact artifact)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.maven.shared.artifact.filter.collection.ArtifactsFilter

`filter`

### Constructor Detail

#### AbstractArtifactsFilter

    public AbstractArtifactsFilter()

### Method Detail

#### isArtifactIncluded

    public boolean isArtifactIncluded(org.apache.maven.artifact.Artifact artifact)
                               throws ArtifactFilterException

Specified by:
  `isArtifactIncluded` in interface `ArtifactsFilter`
Parameters:
  `artifact` - `Artifact`
Returns:
  `true` if artifact is includes `false` otherwise.
Throws:
  `ArtifactFilterException` - when filtering fails